'use client'
import useNotificationPermission from "@/src/hooks/useNotificationPermission";
import { useTranslation } from "@/src/hooks/useTranslation";
import { Button, Tooltip } from "@nextui-org/react";
import { Bell, BellOff } from "react-feather";

export default function NotificationButton() {
    const { permission, requestPermissionNotification } = useNotificationPermission();
    const { trans } = useTranslation();
    return (
        <Tooltip
          placement="top"
          content={permission ? trans('footer_notification_on_title') : trans('footer_notification_off_title')}	
          color="default"
        > 
            <Button color="default" radius="full" className="min-w-10 min-h-10 size-10 p-0 " variant="solid" onClick={() => requestPermissionNotification()} >
                {permission ? <Bell size={24} /> : <BellOff size={24} />}
            </Button>
        </Tooltip>
    )
}